# DISCLAIMER: This mod only work if all player in lobby using this mod! You cannot join normal lobbies with this mod!

## Development Console Command Tool for Rundown Devs!

# Features
 - Allow Force drop when you are host whatever teammate is ready or not
 - Allow swap weapon in lobby menu while in-game
 - Fast Elevator & Timescale on startup (Configurable)
 - Built-in Screen Skipper Feature (Configurable)
 - Silent Elevator when Timescale is set or Fast Elevator is set

# Shortcuts
 - (~) Open Console (Configurable)
 - (\\) Open Compact Console
 - (Tab) Auto Complete Command
 - (UpArrow) Auto Complete / Browse Command History
 - (DownArrow) Auto Complete / Browse Command History
 - (F1) Freecam (press T to teleport)
 - (F2) Location Info Menu
 - (F3) Resource Menu
 - (F4) FPS Weapon Inspector
 - (F5) \[Only on First Startup\] - Restore to latest expedition you dropped
 - (Insert) - Weapon Builder Menu

# Update (0.8.8)
 - F5 menu now only appears when you are host
 - Fixed Issue where Console Background missing after restart

# Update (0.8.7)
 - Removed Registered GUI logs
 - Closing Weapon Inspector now don't reset the transform

# Update (0.8.6)
 - Drop to level hot key now works between multiple lobby
 - Added UnlockTerminal command

# Update (0.8.5)
 - Weapon Builder Preview now persist between session

# Update (0.8.4)
 - Improved GUI System, Now mouse cursor thing works better
 - Improved Weapon Inspector to have `Trigger Fire Anim`, `Trigger Reload Anim`, `Toggle Flashlight`, `Toggle Arm Visibility`

# Update (0.8.3)
 - Added Hot key to toggle element of Resource Menu

# Update (0.8.2)
 - Added Weapon Icon Preview to Weapon Builder
 - Added Name field to Weapon Builder

# Update (0.8.1)
 - Make Every Shortcut key configurable
 - Moved Default Key for Compact Console to backslash [\\]

# Update (0.8.0)
 - Added Compact Console you can see the log output while in-game (Press `Tab` key while console is off)
 - Added `Weapon Builder`! use `Insert` key to enter
 - Added Config for change Console Background Alpha
 - `Weapon Inspector` now disable Arm and GUI while using it
 - `Resource Menu`'s Tool option now also update placed sentries ammo
 - Improved `Help` command and auto complete formatting
 - Reorganized few LocalPlayer commands to other category

# Commands
# Global
```
 - Cls | Clear the Console Screen
 - Help | Show information about command/hotkeys [Usage: 'Help <cmd/key>']
```
# Enemy
```
 - EnemyDetection | Toggle the enemy detection
 - KillEnemies | Kill reachable enemies
 - MarkEnemies | Mark reachable enemies
 - SpawnEnemy | Spawn Enemy on your crosshair by their EnemyID/Name [Usage: 'SpawnEnemy <Enemy ID/Enemy Name> [-scout / -hunter]']
```
# Game
```
 - FastElevator | Toggle Fast Elevator
 - TimeScale | Change the timescale of the game [Usage: 'TimeScale <scale>']
```
# List
```
 - EnemyList | List out Enemies in game
 - ItemList | List the item ids [Usage: 'ItemList <All/Consumable/Pickup/BigPickup/Resource/Tool>']
```
# Give
```
 - GiveGear | Equip Gear from gear offline id [Usage: 'GiveGear <playeroffline gear id>']
 - GiveItem | Equip Item from item id [Usage: 'GiveItem <item id>']
 - Ammo | Give Full Ammo
 - Disinfect | Fully Disinfect
 - Health | Give Full Health
```
# LocalPlayer
```
 - Freecam | sv_cheats 1;freecam
 - God | Ignore all damage
 - IgnoreKnockback | Toggle Ignoring Knockback (or EEC Grapple) effect?
 - InfiniteClip | Toggle Weapon Clip to be infinite (pull directly from ammo)
 - Noclip | sv_cheats 1;noclip
 - OneHitKill | Toggle One Hit Kill
 - RevealMap | Reveal Map [Usage: 'RevealMap [-outline / If set: it will only show outline of the map, not the full items]']
 - ReviveSelf | Revive Self
 - SpawnTripmine | Spawn Tripmine in crosshair [Usage: 'SpawnTripmine [Explosive/Glue/Consumable]']
 - Stamina | Toggle Stamina System
 - Suicide | Suicide
```
# Navigation
```
 - FullBright | Toggle FullBright
 - Turbine | Toggle Mobile Fog Turbine
```
# MobileTerminal
```
 - List | Show Terminal Items [Usage: 'List <filter1> [filter2] [filter3] ...']
 - Ping | Trigger Ping for Terminal Item [Usage: 'Ping <Terminal Item Name>']
 - Query | Get Detailed Information of Terminal Item [Usage: 'Query <Terminal Item Name>']
```
# Objective
```
 - CompleteObjective | Complete Layer Objective [Usage: 'CompleteObjective <Layer>']
 - ExecuteEvents | Execute WardenObjective Events (Not Network Synced) [Usage: 'ExecuteEvents <Layer Type> <Activate/GotoWin> [Activate EventBreak Index (0~n)]']
```
# Reactor
```
 - Reactor_Select | Select Reactor before using 'reactor_' cheats [Usage: 'Reactor_Select <Reactor Name (ie: REACTOR_111)>']
 - Reactor_Codes | Dump all Reactor codes
 - Reactor_Jumptowave | Jump to specific Reactor wave [Usage: 'Reactor_Jumptowave <Wave>'] [HOST ONLY]
 - Reactor_SetIdle | Set Reactor State to Idle [HOST ONLY]
```
# Search
```
 - Search | Search for objects in level by it's name [Usage: 'Search <Substring>']
 - SearchClear | Clear all marker spawned by Search Command
 - SearchItem | Search for Item in Level by id [Usage: 'SearchItem <Item ID>']
 - SearchObjective | Search for Objective Item in Layer [Usage: 'SearchObjective <Layer Type>']
 - SearchProgression | Search for Progression Objects (Key/Cell/Generator/Turbine) in level
 - SearchTerminal | Search for Terminals in level
```
# Sound
```
 - PlaySound | Play Sound in Player Position [Usage: 'PlaySound <Sound ID / Name>']
```
# Utility
```
 - Bind | Bind Keyboard key with command [Usage: 'Bind <KeyCode> <command line>']
 - Loop | Loop specified command line with given delay [Usage: 'Loop <count> <ms delay> <"command line">']
 - Unbind | Unbind Keyboard key with command [Usage: 'Unbind <KeyCode>']
```
# Wave
```
 - StartWave | Trigger Survival Wave (Related to Players room) [Usage: 'StartWave <wave setting id> <wave population id>'] [HOST ONLY]
 - StopAllWave | Stop all Survival Wave [HOST ONLY]
```
# World
```
 - BreakDoor | Break Door (Or even Closing Security Door) in your crosshair
 - BreakLock | Break Lock in your crosshair
 - Checkpoint | Checkpoint Reached! [HOST ONLY]
 - InsertCell | Insert Powercell to Generator in crosshair
 - JumpDimension | Jump to specified Dimension [Usage: 'JumpDimension <Dimension Index>']
 - Open | Open Door/Locker in your crosshair
 - OpenAll | Open All Door/Locker in Level [Usage: 'OpenAll <door/weakdoor/secdoor/locker/all>']
 - SetFog | Set Fog Setting [Usage: 'SetFog <FogDataID>']
 - Unlock | Unlock Door/Locker in your crosshair
 - UnlockAll | Unlock All Door/Locker in Level [Usage: 'UnlockAll <door/weakdoor/secdoor/locker/all>']
 - UnlockTerminal | Unlock Password Locked Terminal and crosshair
```
